Package weka.classifiers.trees.m5

# Interface SplitEvaluate

All Known Implementing Classes:
  `CorrelationSplitInfo`, `YongSplitInfo`

public interface SplitEvaluate
Interface for objects that determine a split point on an attribute

Version:
  $Revision: 1.3 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`attrSplit(int attr, Instances inst)`
Finds the best splitting point for an attribute in the instances
`SplitEvaluate`
`copy()`
makes a copy of the SplitEvaluate object
`double`
`maxImpurity()`
Returns the impurity of this split
`int`
`position()`
Returns the position of the split in the sorted values.
`int`
`splitAttr()`
Returns the attribute used in this split
`double`
`splitValue()`
Returns the split value

## Method Details

### copy

SplitEvaluate copy() throws Exception
makes a copy of the SplitEvaluate object

Returns:
  a copy of the object
Throws:
  `Exception`

### attrSplit

void attrSplit(int attr, Instances inst) throws Exception
Finds the best splitting point for an attribute in the instances

Parameters:
  `attr` - the splitting attribute
  `inst` - the instances
Throws:
  `Exception` - if something goes wrong

### maxImpurity

double maxImpurity()
Returns the impurity of this split

Returns:
  the impurity of this split

### position

int position()
Returns the position of the split in the sorted values. -1 indicates that a split could not be found.

Returns:
  an `int` value

### splitAttr

int splitAttr()
Returns the attribute used in this split

Returns:
  the attribute used in this split

### splitValue

double splitValue()
Returns the split value

Returns:
  the split value